'------------------------------------------------------------
'            TUSB-S03CN3hCopWW[
'            2013/04/10
'            Ѓ^[gH
'-----------Copyright (C) 2013 Turtle Industry Co., Ltd.-----
Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices
Module TUSBSCN3


    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Device_Open(ByVal id As Short) As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbs03cn3_Device_Close(ByVal id As Short)
    End Sub
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Cycle_Set(ByVal id As Short, _
                                  ByVal ch As Byte, _
                                  ByVal Time As Integer) _
                              As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Counter_Start(ByVal id As Short, _
                                      ByVal ch As Byte, _
                                      ByVal Mode As Byte) _
                                  As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Counter_Stop(ByVal id As Short, _
                                      ByVal ch As Byte) _
                                  As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Status_Read(ByVal id As Short, _
                                    ByVal ch As Byte, _
                                    ByRef UpdateChk As Byte) _
                                As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Counter_Read(ByVal id As Short, _
                                     ByVal ch As Byte, _
                                     ByRef DataH As Integer, _
                                     ByRef DataL As Integer) _
                                 As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Fifo_Cnt(ByVal id As Short, _
                                 ByVal ch As Byte, _
                                 ByRef Cnt As Short) _
                             As Short
    End Function
    <DllImport("TUSBSCN3.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn3_Fifo_Read(ByVal id As Short, _
                                  ByVal ch As Byte, _
                                  ByRef Leng As Short, _
                                  <[In](), Out()> ByVal DataH() As Integer, _
                                  <[In](), Out()> ByVal DataL() As Integer) _
                              As Short
    End Function

    'G[bZ[Wo
    Function Tusbs03cn3_GetErrMessage(ByVal retcode As Short) As String
        Select Case retcode
            Case 0
                Return "I܂"
            Case 1
                Return "IDԍsł"
            Case 2
                Return "hCoCXg[Ă܂"
            Case 3
                Return "łɃfoCX̓I[vĂ܂"
            Case 4
                Return "ڑĂ䐔܂"
            Case 5
                Return "I[vł܂ł"
            Case 6
                Return "foCX݂܂"
            Case 7
                Return "I[vĂ܂"
            Case 8
                Return "p[^G["
            Case 9
                Return "USBʐMG[ł"
            Case Else
                Return "sȃG[ł"
        End Select
    End Function
End Module