using namespace System;
using namespace System::Runtime::InteropServices; 

[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Device_Open(short id);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs03cn3_Device_Close(short id);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Cycle_Set(short id,unsigned char ch,int Time);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Counter_Start(short id,unsigned char ch,unsigned char Mode);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Counter_Stop(short id,unsigned char ch);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Status_Read(short id, unsigned char ch, unsigned char *UpdateChk);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Counter_Read(short id, unsigned char ch, int *DataH, int *DataL);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Fifo_Cnt(short id,unsigned char ch, short *Cnt);
[DllImport("TUSBSCN3.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn3_Fifo_Read(short id,  unsigned char ch, short *Leng,[Out] int DataH[],[Out] int DataL[]);

static String^ Tusbs03cn3_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}

